<?php
/**
 * Joomla! 1.5 component allarticleannounce
 *
 * @version $Id: view.html.php 2009-10-18 20:32:30 svn $
 * @author David Han
 * @package Joomla
 * @subpackage allarticleannounce
 * @license GNU/GPL
 *
 * control component for plugin AllArticleAnnounce
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');
class AllarticleannounceViewDefault extends JView {
    function display($tpl = null) {
		JToolBarHelper::title('<img src="'.JURI::root(false).'/administrator/components/com_allarticleannounce/image/logo.png" align="middle" border="0" />','');
        $db=& JFactory::getDBO();
		$query="select * from #__content_allarticleannounce_config";
		$db->setQuery($query);
		$config=$db->loadObject();
		$query="select id,title from `#__categories` where published=1 order by ordering";
		$db->setQuery($query);
		$categories=$db->loadObjectList();
		$this->assignRef('categories',	$categories);
		$this->assignRef('config',	$config);
		parent::display($tpl);
    }
}
?>